# -*- coding: utf-8 -*-
"""
URL configuration for rosmorport_tsts project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/5.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, re_path
from django.conf.urls.static import static
from rosmorport_tsts.settings import *
from rosmorport_tsts import views

urlpatterns = [
    path('admin/', admin.site.urls),

    re_path(r'^$', views.index),
    re_path(r'^logout$', views.my_logout),
    re_path(r'^login$', views.my_login),
    re_path(r'^not-auth$', views.not_auth),
    re_path(r'^add-clone$', views.add_clone),
    re_path(r'^save-clone$', views.save_clone),
    re_path(r'^report1$', views.report1),
    re_path(r'^report2$', views.report2),

]

# Обработчики ошибок
# handler404 = 'web.views.handler404'
# handler500 = 'web.views.handler500'

if DEBUG:
    urlpatterns += static(MEDIA_URL, document_root=MEDIA_ROOT)